    import {DeepLearningRegression} from '@tensorscript/ts-deeplearning/lib/deeplearning.mjs'

public class | source

# DeepLearningRegression

#### Extends:

@tensorscript/core~TensorScriptModelInterface → BaseNeuralNetwork → DeepLearningRegression

#### Implements:

- BaseNeuralNetwork

#### Indirect Implements:

- TensorScriptModelInterface

Deep Learning Regression with Tensorflow

## Constructor Summary

Public Constructor
public | constructor(options: {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String}, properties: *) |

## Method Summary

Public Methods
public | generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>) Adds dense layers to tensorflow regression model |

## Inherited Summary

From class BaseNeuralNetwork
public | model |
public | calculate(matrix: Array<Array<number>>|Array<number>): {data: Promise} Predicts new dependent variables |
public abstract | generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>) Adds dense layers to tensorflow model |
public | async train(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>): Object Asynchronously trains tensorflow model |

## Public Constructors

### public constructor(options: {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String}, properties: *) source

#### Override:

BaseNeuralNetwork#constructor

#### Params:

Name | Type | Attribute | Description
options | {layers: Array<Object>, compile: Object, fit: Object, layerPreference: String} |  | neural network configuration and tensorflow model hyperparameters
properties | * |  | extra instance properties

## Public Methods

### public generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>) source

Adds dense layers to tensorflow regression model

#### Override:

BaseNeuralNetwork#generateLayers

#### Params:

Name | Type | Attribute | Description
x_matrix | Array<Array<number>> |  | independent variables
y_matrix | Array<Array<number>> |  | dependent variables
layers | Array<Object> |  | model dense layer parameters